Bug 443637 - Unresolvable chain of dependencies: openib-diags 1.2.7-7 requires libosmcomp.so.1
Unresolvable chain of dependencies: openib-diags 1.2.7-7 requires libosmcomp...
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: comps (Show other bugs)
All Linux
low Severity medium
: beta
: ---
Assigned To: Doug Ledford
Depends On: 444636
  Show dependency treegraph
Reported: 2008-04-22 12:59 EDT by James Laska
Modified: 2013-09-02 02:24 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2008-0655
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-07-24 15:06:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Laska 2008-04-22 12:59:05 EDT
Description of problem:

Attempting to upgrade from RHEL4-U6/ppc/AS to RHEL4-U7-re20080418.0/tree-AS-ppc
using up2date failures due to package dependencies

Unresolvable chain of dependencies:
openib-diags  1.2.7-7                    requires libosmcomp.so.1
openib-diags  1.2.7-7                    requires libosmcomp.so.1(OSMCOMP_1.1)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install @everything of RHEL4-U6/ppc
2. Configure up2date to use a directory repo to upgrade to
3. upgrade using up2date
Actual results:
Unresolvable chain of dependencies:
openib-diags  1.2.7-7                    requires libosmcomp.so.1
openib-diags  1.2.7-7                    requires libosmcomp.so.1(OSMCOMP_1.1)

Expected results:
No dependency issues

Additional info:

Still investigating the openib packaging changes from 4.6 to 4.7, but the
automated KATE test that discovered this error can be found at
Comment 2 Doug Ledford 2008-04-22 14:56:06 EDT
All openib-* packages except the base openib package are gone.  The openib-diags
package is replaced by infiniband-diags which is part of the openib errata
(RHEA-2008:8286).  In the file list for that errata, infiniband-diags.ppc is
present.  It should properly obsolete the old openib-diags if it is present in
the tree you are up2dating from.  Can you please verify that your update tree
has the files listed as part of the openib errata?
Comment 3 James Laska 2008-04-22 15:17:17 EDT
Great catch Doug!  That appears to be what's missing.

/bin/ls: cannot access
No such file or directory

Adding dmach (RelEng) to the cc list, perhaps Daniel indicate what is missing in
order to get content from RHEA-2008:8286 into the RHEL4-U7 composes.
Comment 4 Daniel Mach 2008-04-24 07:38:27 EDT
if a package lands in compose, it is
 - listed in comps
 - dependency of a listed package

openib was pulled into compose as a dependency of dapl package,
but dapl-2.0.7-2.el4 doesn't contain this depenedency any more.

Doug, could you check if dapl still uses openib?
Shouldn't be there a dependency openib -> infiniband-diags as well?
Comment 5 Doug Ledford 2008-04-24 11:32:55 EDT
I think you're missing the point Daniel...the current openib errata should be
adding infiniband-diags to the tree, and all of the openib packages except the
base openib package should be gone, and infiniband-diags obsoletes openib-diags
from the U6 release so that we don't have dangling packages.  At the time of
this bug report, the infiniband-diags package is missing from the update tree so
that the obsoletes on openib-diags is also missing, and with that obsolete
missing, the old openib-diags package is hanging around, and with it hanging
around it relies on an older version of opensm-libs than what we are updating to
in this release and as a result of the opensm-libs being updated and the old
version going away, you get an unresolved dependency issue.

This, BTW, is why I do all 26 InfiniBand packages in a single errata, so that
they all come out together and get updated together.  It's necessary to make it
all work properly.
Comment 6 Daniel Mach 2008-04-24 13:27:34 EDT
I don't think I'm missing the point :)
Errata file lists doesn't affect composes / update trees directly.
I really need either a record in comps or relevant package dependency.
Comps is like package filter which tells what to include into compose.

Let me show you an example:
- dapl package is listed in comps
- opensm-libs is listed in comps
- openib is NOT listed in comps

$ rpm -qp dapl- --requires
-> this list includes "openib", which means that openib was pulled into compose
as a dependency of dapl (rhel 4.6)

$ rpm -qp dapl-2.0.7-2.el4.i386.rpm --requires
-> no "openib" dependency -> openib won't appear in compose (current situation) 
which means there's no update in install tree

We can either update comps or add "Requires: openib" to some package.
Exactly the same applies for infiniband-diags.

I think we should try to get openib and infiniband-diags back into compose and
then try to reproduce this issue again.
Comment 7 Doug Ledford 2008-04-29 09:46:38 EDT
OK, well, first I removed all the dependencies on openib, so it probably needs
its own spot in comps instead.  Second, once we have openib updated and added to
comps, it still might not resolve the problem entirely since I don't know if
just putting a new version of openib in place will remove all the now
non-existent openib packages (like openib-diags, which no longer exists as part
of the openib package set).
Comment 8 Doug Ledford 2008-05-06 17:05:31 EDT
I'm putting 444636 as a blocker to this since once it's in place, this should
resolve itself without any further issue (I think).
Comment 11 James Laska 2008-05-08 15:41:17 EDT
Changing component to comps
Comment 12 James Laska 2008-05-08 16:51:19 EDT
The fix appears to remove the dependency conflict.  Changing to VERIFIED. 
up2date is now cleanly updating the 4.6 system using the 4.7 packages.
Comment 16 errata-xmlrpc 2008-07-24 15:06:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.